(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     13990,        393]
NotebookOptionsPosition[     13090,        371]
NotebookOutlinePosition[     13524,        388]
CellTagsIndexPosition[     13481,        385]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.812105952950175*^9, 3.8121059622770176`*^9}, {
  3.8121060546865954`*^9, 3.812106057522152*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"e318e78d-e175-49f1-951c-3b0b94be1640"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MGrafo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"MGrafo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f"}], "}"}], 
   ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MGrafo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "e", ",", "f", ",", "c", ",", "d"}], "}"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.8121298657449665`*^9, 3.812129876295227*^9}, {
  3.81212991601095*^9, 3.812129973360005*^9}, {3.8121307069397554`*^9, 
  3.8121307347479258`*^9}, {3.8121324638255053`*^9, 3.8121324719006944`*^9}, {
  3.8121325716721354`*^9, 3.812132571825189*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"4c7cafb5-c7db-4f23-a5ad-dfa28d4ac786"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`d, $CellContext`e, $CellContext`f, \
$CellContext`b, $CellContext`c}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {5, 6}, {5, 4}, {6, 3}, {6, 4}, {2, 
       3}}}, {ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{{0.8727387071156154, 0.0003209461738589159}, {0., 
         0.4295358335504994}}, {{0.8727387071156154, 0.0003209461738589159}, {
         0.8731890246817808, 0.8587877412068825}}, {{0.8727387071156154, 
         0.0003209461738589159}, {2.0434706156545106`, 0.}}, {{0., 
         0.4295358335504994}, {0.8731890246817808, 0.8587877412068825}}, {{
         0.8731890246817808, 0.8587877412068825}, {2.0439800090921647`, 
         0.8583779217055565}}, {{2.0434706156545106`, 0.}, {
         2.9166042798805254`, 0.42954671494495483`}}, {{2.0434706156545106`, 
         0.}, {2.0439800090921647`, 0.8583779217055565}}, {{
         2.9166042798805254`, 0.42954671494495483`}, {2.0439800090921647`, 
         0.8583779217055565}}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.8727387071156154, 0.0003209461738589159}, 
          0.029638464856408073], 
         InsetBox["a", 
          Offset[{2, 2}, {0.9023771719720235, 0.02995941103026699}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.4295358335504994}, 0.029638464856408073], 
         InsetBox["d", 
          Offset[{2, 2}, {0.029638464856408073, 0.4591742984069075}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8731890246817808, 0.8587877412068825}, 
          0.029638464856408073], 
         InsetBox["e", 
          Offset[{2, 2}, {0.9028274895381889, 0.8884262060632906}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0434706156545106, 0.}, 0.029638464856408073], 
         InsetBox["f", 
          Offset[{2, 2}, {2.0731090805109185, 0.029638464856408073}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.9166042798805254, 0.42954671494495483}, 
          0.029638464856408073], 
         InsetBox["b", 
          Offset[{2, 2}, {2.9462427447369333, 0.4591851798013629}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0439800090921647, 0.8583779217055565}, 
          0.029638464856408073], 
         InsetBox["c", 
          Offset[{2, 2}, {2.0736184739485726, 0.8880163865619646}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8121299175938396`*^9, 3.812129942390975*^9}, 
   3.8121299740935116`*^9, 3.812130735893288*^9, 3.8121324725330043`*^9, 
   3.8121325725941906`*^9, 3.8121326919573936`*^9},
 CellLabel->"Out[89]=",ExpressionUUID->"85bce3dd-7684-4096-b2a0-822daaa37ba4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "1", "1", "1"},
     {"0", "0", "1", "0", "0", "1"},
     {"0", "1", "0", "0", "1", "1"},
     {"1", "0", "0", "0", "1", "0"},
     {"1", "0", "1", "1", "0", "0"},
     {"1", "1", "1", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {6, 6}, 0, {
     1, {{0, 3, 5, 8, 10, 13, 16}, {{4}, {5}, {6}, {3}, {6}, {2}, {5}, {6}, {
       1}, {5}, {1}, {3}, {4}, {1}, {2}, {3}}}, {1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
       1, 1, 1, 1, 1, 1}}]]]]], "Output",
 CellChangeTimes->{{3.8121299175938396`*^9, 3.812129942390975*^9}, 
   3.8121299740935116`*^9, 3.812130735893288*^9, 3.8121324725330043`*^9, 
   3.8121325725941906`*^9, 3.812132691961384*^9},
 CellLabel->
  "Out[90]//MatrixForm=",ExpressionUUID->"a5edcb16-9aff-466b-9bb1-\
bc424d1c5971"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "1", "1"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "1", "0", "0", "1"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "0", "1", "1"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "0", "0", "1", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "1", "1", "0", "0"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "1", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.8121299175938396`*^9, 3.812129942390975*^9}, 
   3.8121299740935116`*^9, 3.812130735893288*^9, 3.8121324725330043`*^9, 
   3.8121325725941906`*^9, 3.8121326919643764`*^9},
 CellLabel->
  "Out[91]//TableForm=",ExpressionUUID->"18c18166-757a-41e8-88d7-\
44a84e70c991"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "1", "1", "0"},
     {"0", "0", "1", "1", "0", "1"},
     {"0", "1", "0", "0", "1", "1"},
     {"1", "1", "0", "0", "1", "0"},
     {"1", "0", "1", "1", "0", "0"},
     {"0", "1", "1", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {6, 6}, 0, {
     1, {{0, 2, 5, 8, 11, 14, 16}, {{4}, {5}, {3}, {4}, {6}, {2}, {5}, {6}, {
       1}, {2}, {5}, {1}, {3}, {4}, {2}, {3}}}, {1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
       1, 1, 1, 1, 1, 1}}]]]]], "Output",
 CellChangeTimes->{{3.8121299175938396`*^9, 3.812129942390975*^9}, 
   3.8121299740935116`*^9, 3.812130735893288*^9, 3.8121324725330043`*^9, 
   3.8121325725941906`*^9, 3.812132691967369*^9},
 CellLabel->
  "Out[92]//MatrixForm=",ExpressionUUID->"3ee19d8f-9980-4be3-8da7-\
d42c57e65ae0"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"15e226e5-0b55-49c0-931c-12c81b95aa8b"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 251, 4, 63, "Input",ExpressionUUID->"e318e78d-e175-49f1-951c-3b0b94be1640"],
Cell[CellGroupData[{
Cell[834, 28, 1554, 41, 345, "Input",ExpressionUUID->"4c7cafb5-c7db-4f23-a5ad-dfa28d4ac786"],
Cell[2391, 71, 3292, 67, 323, "Output",ExpressionUUID->"85bce3dd-7684-4096-b2a0-822daaa37ba4"],
Cell[5686, 140, 1176, 30, 288, "Output",ExpressionUUID->"a5edcb16-9aff-466b-9bb1-bc424d1c5971"],
Cell[6865, 172, 5030, 164, 329, "Output",ExpressionUUID->"18c18166-757a-41e8-88d7-44a84e70c991"],
Cell[11898, 338, 1176, 30, 295, "Output",ExpressionUUID->"3ee19d8f-9980-4be3-8da7-d42c57e65ae0"]
}, Open  ]]
}
]
*)

